
Name:           crow
Version:        2.11.0
Release:        0.1
Summary:        A modern GUI building tool for GTK+
Vendor:		      The Crow Designer Project

Group:          Development/Tools
License:        GPL
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-2.11.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv:    no

Requires:       gtk2 >= 2.10.0
Requires:       guiloader >= 2.10.0
Requires:       gtkmm24 >= 2.10.0
Requires:       guiloader-c++ >= 2.10.0
Requires:       dbus-glib >= 0.70
Requires:       xdg-utils

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  guiloader-devel >= 2.10.0
BuildRequires:  gtkmm24-devel >= 2.10.0
BuildRequires:  guiloader-c++-devel >= 2.10.0
BuildRequires:  dbus-glib-devel >= 0.70


%description
Crow is a modern GUI builder for the GTK+ toolkit. It is an advanced IDE-embeddable RAD tool designed to fulfill the needs of desktop programmers who want to create multi-platform GTK+ based applications with minimal GUI coding. Crow is full-featured yet lightweight: its tree-based Property Explorer solves many GUI constructing tasks in a versatile manner without additional popup dialogs. The project is targeted to develop a tool that is coherent and productive for experienced GTK+ users as well as simple and accessible for newcomers.


%package devel
Summary:        Headers for developing programs that will use Crow Designer
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel 
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing Crow Designer applications.


%prep
%setup -q -n %{name}-2.11.0


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}.so
%{_bindir}/%{name}
%{_bindir}/%{name}-service
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml


%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

